<template>
  <div>
    <Cart />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api } from "~/common/constaint";
@Component({
  layout: "user",
  components: {
    Cart: () => import("@/components/Home/Cart/index.vue"),
  },
})
export default class HomePage extends Vue {
  head() {
    return {
      title:
        "Cart - " +
          (this.$store.state.setting.siteInfo &&
            this.$store.state.setting.siteInfo.storeName +
              " - " +
              this.$store.state?.setting?.siteInfo?.productName) || "",
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }
}
</script>
